Get wallet action
curl --request GET \
--url https://api.privy.io/v1/wallets/{wallet_id}/actions/{action_id} \
--header 'Authorization: Basic <encoded-value>' \
--header 'privy-app-id: <privy-app-id>'HttpResponse<String> response = Unirest.get("https://api.privy.io/v1/wallets/{wallet_id}/actions/{action_id}")
.header("privy-app-id", "<privy-app-id>")
.header("Authorization", "Basic <encoded-value>")
.asString();const options = {
method: 'GET',
headers: {'privy-app-id': '<privy-app-id>', Authorization: 'Basic <encoded-value>'}
};
fetch('https://api.privy.io/v1/wallets/{wallet_id}/actions/{action_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.privy.io/v1/wallets/{wallet_id}/actions/{action_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"privy-app-id: <privy-app-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.privy.io/v1/wallets/{wallet_id}/actions/{action_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("privy-app-id", "<privy-app-id>")
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "cm7oxq1el000e11o8iwp7d0d0",
"status": "pending",
"wallet_id": "fmfdj6yqly31huorjqzq38zc",
"created_at": "2026-01-15T12:00:00.000Z",
"type": "swap",
"caip2": "eip155:1",
"input_token": "native",
"output_token": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
"input_amount": null,
"output_amount": null
}Wallet actions
Get wallet action
Get the current status of a wallet action by its ID.
GET
/
v1
/
wallets
/
{wallet_id}
/
actions
/
{action_id}
Get wallet action
curl --request GET \
--url https://api.privy.io/v1/wallets/{wallet_id}/actions/{action_id} \
--header 'Authorization: Basic <encoded-value>' \
--header 'privy-app-id: <privy-app-id>'HttpResponse<String> response = Unirest.get("https://api.privy.io/v1/wallets/{wallet_id}/actions/{action_id}")
.header("privy-app-id", "<privy-app-id>")
.header("Authorization", "Basic <encoded-value>")
.asString();const options = {
method: 'GET',
headers: {'privy-app-id': '<privy-app-id>', Authorization: 'Basic <encoded-value>'}
};
fetch('https://api.privy.io/v1/wallets/{wallet_id}/actions/{action_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.privy.io/v1/wallets/{wallet_id}/actions/{action_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"privy-app-id: <privy-app-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.privy.io/v1/wallets/{wallet_id}/actions/{action_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("privy-app-id", "<privy-app-id>")
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "cm7oxq1el000e11o8iwp7d0d0",
"status": "pending",
"wallet_id": "fmfdj6yqly31huorjqzq38zc",
"created_at": "2026-01-15T12:00:00.000Z",
"type": "swap",
"caip2": "eip155:1",
"input_token": "native",
"output_token": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
"input_amount": null,
"output_amount": null
}Authorizations
Headers
Path Parameters
Query Parameters
Response
200 - application/json
The wallet action with its current status.
- SwapActionResponse
- TransferActionResponse
- EarnDepositActionResponse
- EarnWithdrawActionResponse
- EarnIncentiveClaimActionResponse
- EarnFeeCollectActionResponse
- PayoutResponse
- TmmfDepositActionResponse
- TmmfWithdrawActionResponse
Response for a swap action.
steps
(EVMTransactionWalletActionStep · object | EVMUserOperationWalletActionStep · object | SVMTransactionWalletActionStep · object | TVMTransactionWalletActionStep · object | ExternalTransactionWalletActionStep · object | CustodianTransactionWalletActionStep · object | TempoZoneSettlementWalletActionStep · object | WisdomTreeSettlementWalletActionStep · object)[]
The steps of the wallet action. Only returned if ?include=steps is provided.
A wallet action step consisting of an EVM transaction.
- EVMTransactionWalletActionStep
- EVMUserOperationWalletActionStep
- SVMTransactionWalletActionStep
- TVMTransactionWalletActionStep
- ExternalTransactionWalletActionStep
- CustodianTransactionWalletActionStep
- TempoZoneSettlementWalletActionStep
- WisdomTreeSettlementWalletActionStep
Show child attributes
Show child attributes
Estimated fee breakdown from the provider quote. Only present for cross-chain swaps. Populated after on-chain confirmation.
Estimated fee paid to the relayer.
- RelayerFee
- PrivyFee
- DeveloperFee
Show child attributes
Show child attributes
Example:
{
"type": "privy",
"recipient": "0x1234567890abcdef1234567890abcdef12345678",
"amount": "0.20"
}
Actual fees paid for the swap. Populated after on-chain confirmation. Only present for cross-chain swaps.
Estimated fee paid to the relayer.
- RelayerFee
- PrivyFee
- DeveloperFee
Show child attributes
Show child attributes
Example:
{
"type": "privy",
"recipient": "0x1234567890abcdef1234567890abcdef12345678",
"amount": "0.20"
}
Was this page helpful?

